//
//  ViewController.swift
//  hex_decimal_RGB
//
//  Created by yoshiyuki oshige on 2018/10/08.
//  Copyright © 2018年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        // 16 進数RRGGBB をR、G、B に分解
        let RGB: UInt32 = 0x40E0D0 // turquoise(64,224,208)
        let red = (RGB & 0xFF0000) >> 16
        let green = (RGB & 0x00FF00) >> 8
        let blue = RGB & 0x0000FF
        print("red \(red), green \(green), blue \(blue)")
        // 背景色に設定
        let R = CGFloat(red)/255
        let G = CGFloat(green)/255
        let B = CGFloat(blue)/255
        view.backgroundColor = UIColor(red:R,green:G,blue:B,alpha:1)
    }


}

