//
//  ViewController.swift
//  half_guard_defer
//
//  Created by yoshiyuki oshige on 2018/10/08.
//  Copyright © 2018年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    func half(num:Double) {
        // 最後に必ず実行する
        defer {
            print(" 計算終了")
        }
        // 中断処理
        guard num>=10 else {
            // num が10 以上でないとき関数から抜ける
            return
        }
        // 値を半分にして出力する
        let halfNum = num/2
        print("\(num) の半分は\(halfNum)")
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // 半分の値を出力する
        half(num: 25)
        half(num: 9)
        half(num: 12)
    }
}

