//
//  ViewController.swift
//  overload_calc
//
//  Created by yoshiyuki oshige on 2018/07/04.
//  Copyright © 2018年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    // a、bの引数
    func calc(a:Int, b:Int) -> Int {
        return a+b
    }
    
    // c、dの引数
    func calc(c:Int, d:Int) -> Int {
        return c*d
    }
    
    // a、b、cの引数
    func calc(a:Int, b:Int, c:Int) -> Int {
        return (a+b)*c
    }
    
    // a、bがDouble型の引数
    func calc(a:Double, b:Double) -> Double {
        return a/b
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // 3種類のcalc()を試す
        let ans1 = calc(a: 2, b: 3)
        let ans2 = calc(c: 2, d: 3)
        let ans3 = calc(a: 2, b: 3, c: 4)
        let ans4 = calc(a: 2.0, b: 3.0)

        print(ans1)
        print(ans2)
        print(ans3)
        print(ans4)
    }

}

