//
//  ViewController.swift
//  price3
//
//  Created by yoshiyuki oshige on 2018/07/05.
//  Copyright © 2018年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    // 単価と人数を引数で指定して料金を計算する関数
    func price3(tanka:Int, kosu:Int = 1, souryou:Int = 250) -> Int {
        let result = tanka * kosu + souryou
        return result
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // 例１：単価1000円の料金（個数と送料は省略して初期値で計算）
        let ex1 = price3(tanka: 1000)
        print("\(ex1)円")
        
        // 例２：単価1000円、個数2 の料金（送料は省略して初期値で計算）
        let ex2 = price3(tanka: 1000, kosu: 2)
        print("\(ex2)円")
        
        // 例３：単価2500、送料1500の料金を計算する（個数は省略して初期値で計算）
        let ex3 = price3(tanka: 250, kosu: 2)
        print("\(ex3)円")
        
        // 例４：単価1200、個数5、送料0の料金を計算する
        let ex4 = price3(tanka: 1200, kosu: 5, souryou: 0)
        print("\(ex4)円")
    }

}

