//
//  ViewController.swift
//  class_init
//
//  Created by yoshiyuki oshige on 2018/10/09.
//  Copyright © 2018年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class MyClass {
    // インスタンスプロパティ
    let msg:String
    
    // イニシャライザ
    init (msg:String = "ハロー") {
        self.msg = msg
    }
    
    // インスタンスメソッド
    func hello(){
        print(msg)
    }
}

class ViewController: UIViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // MyClass クラスのインスタンスmyObj を作る
        let myObj = MyClass(msg: "こんにちは")
        // hello() メソッドを実行する
        myObj.hello()
    }

}

