//
//  ViewController.swift
//  extension_MyClass
//
//  Created by yoshiyuki oshige on 2018/10/09.
//  Copyright © 2018年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class Player {
    var name:String = ""
    
    func hello() {
        print("やあ！" + name)
    }
}

extension Player {
    // nameをwhoでもアクセスできるようにする
    var who:String {
        get{
            return name
        }
        set(value){
            name = value
        }
    }
    
    // 新しいメソッドを追加する
    func bye() {
        print("またね！" + name)
    }
}


class ViewController: UIViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        let obj = Player()
        obj.who = "海子"
        obj.hello()
        obj.bye()
        
    }
    

}

