//
//  ViewController.swift
//  struct_func
//
//  Created by yoshiyuki oshige on 2018/10/09.
//  Copyright © 2018年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    // Goods構造体
    struct Goods {
        let tanka:Int
        let kosu:Int
        // 定価
        var price:Int {
            return tanka * kosu
        }
        // 売値
        func sellprice(nebiki:Int = 0) -> Int {
            // 値引きする
            return price - nebiki*kosu
        }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // 4 個入りの商品を作る
        let myGoods = Goods(tanka: 700, kosu: 4)
        // 販売価格（1個10円引き｝
        let selling_price = myGoods.sellprice(nebiki: 10)
        // 確認
        print("１個\(myGoods.tanka)円、\(myGoods.kosu)個入り、定価\(myGoods.price)円")
        print("販売価格\(selling_price)円")
    }
    
}

