//
//  ViewController.swift
//  bmi
//
//  Created by yoshiyuki oshige on 2018/10/08.
//  Copyright © 2018年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    func bmi(weight kg:Double, height cm:Double) -> Double {
        if cm == 0 { return -1 }
        // 体重(kg) を身長(m) の2 乗で割る
        var result = kg/pow(cm*0.01, 2)
        // 小数点以下1 位で四捨五入する
        result = round(result*10)/10.0
        return result
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        let myBMI = bmi(weight: 56.0, height: 172.5)
        print(myBMI)
    }


}

