//
//  ViewController.swift
//  optional-binding_guard-else
//
//  Created by yoshiyuki oshige on 2018/10/09.
//  Copyright © 2018年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    let who = "サクラ"
    var level:Int?
    
    func hello() {
        // levelをtheLevelにオプショナルバインディングする
        guard let theLevel = level else {
            // levelがnilならば中断
            return
        }
        
        if theLevel<10 {
            print("ハロー、" + who + "隊員")
        } else {
            print("ハロー、" + who + "上級隊員")
        }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // levelが未設定のまま実行する
        hello()
        // levelを設定する
        level = 12
        hello()
    }

}

