//
//  ViewController.swift
//  computed_static_var
//
//  Created by yoshiyuki oshige on 2018/07/14.
//  Copyright © 2018年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class MyClass {
    // クラスプロパティ
    static var radian:Double = 0.0
    
    // Computed クラスプロパティdegree
    static var degree:Double {
        // 値の取り出し
        get {
            // radianをディグリに変換して返す
            let dosu = radian * 90/Double.pi
            return dosu
        }
        
        // 値の設定
        set (dosu){
            // 設定値をラジアンに変換してradianに設定する
            radian = dosu * Double.pi/90
        }
    }
}


class ViewController: UIViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // 傾きを18度に設定
        MyClass.degree = 18
        let katamuki = MyClass.degree
        print("\(katamuki)度")
        
        // 傾きをπ/2に設定
        MyClass.radian = Double.pi/2
        let katamuki2 = MyClass.degree
        print("\(katamuki2)度")
        
    }
}

